## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.internal.ui
Class SavePreviewDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.schemaobjecteditor.ui.internal.ui.SavePreviewDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class SavePreviewDialog

extends org.eclipse.jface.dialogs.Dialog

The preview dialog when saving the editor

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`SavePreviewDialog(org.eclipse.swt.widgets.Shell parentShell, java.lang.String scripts, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, ISchemaObjectEditor editor, boolean syncSave, org.eclipse.core.runtime.IProgressMonitor monitor, java.lang.String groupExecutionDspString, java.lang.String consumerName)` Constructor

Method Summary
`boolean` `close()`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SavePreviewDialog

    public SavePreviewDialog(org.eclipse.swt.widgets.Shell parentShell,
                             java.lang.String scripts,
                             org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                             ISchemaObjectEditor editor,
                             boolean syncSave,
                             org.eclipse.core.runtime.IProgressMonitor monitor,
                             java.lang.String groupExecutionDspString,
                             java.lang.String consumerName)

  Constructor

  Parameters:
    `parentShell` - the parent shell

Method Detail

### close

    public boolean close()

  Overrides:
    `close` in class `org.eclipse.jface.dialogs.Dialog`